/* GStreamer
 *
 * Copyright (C) 2008 Nokia Corporation <multimedia@maemo.org>
 *
 * driver_wrapper.h: Camera driver wrapper API
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __DRIVER_WRAPPER_H__
#define __DRIVER_WRAPPER_H__

#include <gst/gst.h>

#include "gstv4l2camsrc.h"

G_BEGIN_DECLS

GstV4l2CamDriver *
gst_v4l2camsrc_driver_wrapper_load (GstV4l2CamSrc *v4l2camsrc);

void
gst_v4l2camsrc_driver_wrapper_unload (GstV4l2CamDriver *driver);


G_END_DECLS

#endif /* __DRIVER_WRAPPER_H__ */

